EclaireXL - Feature #14

Svideo core for first prototype
04/24/2017 07:58 PM - foft

Status: Closed Start date: 04/24/2017
Priority: High Due date:

Assignee: foft % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Description

Waiting the Chinese sun to rising, | decide to proceed with the "video mod" of our v 1.0 board. So | desolder the "vsync" pin 12 of
video dac, and solder it again using a "kynar cable" to a near via, which drive directly to F15 of FPGA.
So, when you have ready some core to try it, let me know it.

Related issues:
Has duplicate Feature #1: Svideo sync line support Closed 04/04/2017

History

#1 - 04/24/2017 10:14 PM - foft

Panos tried out a new core with composite only - on green using the sync pin. Looks brighter but just black and white - on several TVS.
| think its black and white because...

Basically | re-scaled Y to use the full DAC range. Composite is made by basically Y + chroma. Since Y is now a larger range (say 0-255 instead of
140-255) | need to scale chroma similarly. So basically chroma is 50% of the voltage it should be...

#2 - 04/24/2017 10:14 PM - foft
Should add that this should not be done for direct chroma output for svideo... Since that is still on a 0-0.7V DAC output.

#3 - 04/26/2017 08:54 PM - foft
Setting this up in the simulator so | can understand chroma better.

The problem seems to be that I've used all the space for luma and chroma is a sine wave +-255. For some reason it only allows space of 32 though -
which is odd! Anyway | need to allow some space of the chroma in composite video - and rescale it larger.

Reading video demystified this isn't really to spec. | think changing R5 might actually yield more 'correct' results. In any case | think we might be able
to get good results from the sync-on-green approach so will continue to try that first.

#4 - 05/02/2017 06:40 AM - foft

Scaled luma with 64 space for chroma - when in composite mode only. No point throwing away svideo brightness.
Added composite to video selection menu - since the G pin is used for both it can't be generated together.

Built for v1 and v2 - untested as yet.

#5 - 05/02/2017 10:15 PM - foft

Debugged in isim to get lots of overflow/underflow/blanking/burst incorrect cases!
Added colour bars and asserts for under/overflow. Looks like we have more space than | thought to allow slightly higher luma scaling (224/256).
Verifying...

#6 - 05/31/2017 06:57 PM - foft
- Priority changed from Normal to High

#7 - 05/31/2017 07:05 PM - foft
- Has duplicate Feature #1: Svideo sync line support added

#8 - 06/20/2017 07:36 PM - foft

Worth a read for some background: http://codeandlife.com/2012/10/09/composite-video-decoding-theory-and-practice/#more-1032
After this its 'Video Demystified' for the details
#9 - 06/30/2017 09:50 PM - foft
- File composite_eclaire_basic.png added

- File composite_atari_basic.png added

Added traces of Atari basic from the scope, to see the voltage level differences.

Eclaire is driving my monitor, Atari is through a 66ohm resistor (little low, so voltage is suppressed a little).

Still, a stark difference!

#10 - 06/30/2017 09:54 PM - foft
Atari
We have a range of 0-1v on the DAC. 0-0.3V sync and 0.3V-1.0V is set by changing the dac level. So trouble is its not really enough. Might still need
to change R5 on the V2, so perhaps we need a jumper for 'composite level'/rgb level' as well as vhdl changes. Still sure we can make it might better
with pure vhdl.

#11 - 06/30/2017 09:54 PM - foft

I mean see how the 'white' on ready already takes most of the range, without trying to increase it.

#12 - 06/30/2017 10:10 PM - foft
- File composite_eclaire_max.png added

- File composite_atari_max.png added

Added a poke 712,15 for comparison of max values. Interesting how the amplitude for basic 'blue' is so much higher yet the peak amplitude is
comparable...

Atari:
#13 - 07/01/2017 07:10 AM - foft

Interesting...

http://atariage.com/forums/topic/29621-atari-video-circuits-experiment/

So fixed saturation (except gray), just phase shifted for the cols. Then add luma. Might try that rather than generic rgb component.
#14 - 07/01/2017 12:59 PM - foft

Writing an 'atari-style' implementation instead of going via RGB. Fixed saturation, simple phase shift for colour.

#15 - 07/01/2017 05:05 PM - foft

That works, kind of! Basic screen and star wars shields look the correct colours, but | have no red. Also very grainy and svideo is a single colour?!

#16 - 07/01/2017 05:31 PM - sadosp

Maybe is time to think about implementing one external RGB -> composite/s-video converter, fit directly to VGA output connector.
But the question still remain for me if people really need it.

#17 - 07/01/2017 06:43 PM - Stephen
sadosp wrote:
Maybe is time to think about implementing one external RGB -> composite/s-video converter, fit directly to VGA output connector.

But the question still remain for me if people really need it.

My thoughts (coming from NTSC land). We haven't had TVs or monitors with S-Video connections available new for probably 15 years now. Also,
s-video will not allow artifacting. So | would say that composite is good to have for games which rely on artifacting. VGA and HDMI will cover any
other device. It's a safe bet to say I'll be using mine via HDMI 99.9% of the time.
Also, | will pretty much be running in PAL mode all the time with this device.
#18 - 07/02/2017 11:42 AM - foft
| mean svideo and composite, it's the same thing pretty much.
I've got the gtia style one running pretty well for ntsc now. Its interesting to implement if nothing else:)
#19 - 07/02/2017 10:50 PM - foft
For anyone with composite/svideo setup. Please can you tell me what you think of svideo_gtia6.sof vs the previous version.
This is generated more the 'atari way' - i.e. off hue/brightness with phase shifts, rather than being based on the RGB palette.
#20 - 07/03/2017 12:31 AM - Stephen
foft wrote:
For anyone with composite/svideo setup. Please can you tell me what you think of svideo_gtia6.sof vs the previous version.
This is generated more the 'atari way' - i.e. off hue/brightness with phase shifts, rather than being based on the RGB palette.

Hate to be a dunce - where is the documentation for cabling s-video from this board? | have a Commodore 1084S monitor as well as a 20" Sony
PVM which | can test.

#21 - 07/03/2017 06:42 AM - sadosp

Stephen wrote:

Hate to be a dunce - where is the documentation for cabling s-video from this board?

You can use Green signal for composite video, or Green signal for Luma and Blue signal for Chroma for S-Video, from RGB connector.

#22 - 07/04/2017 09:29 PM - foft

Hmm, just reading that IRE is relative so that might be why increasing voltage didn't make anything brighter!!

https://en.wikipedia.org/wiki/IRE_ (unit)

So | wonder if | could have a 0V-0.5V signal that uses the correct relative scale and get it nice and bright?!

#23 - 02/08/2018 07:55 PM - foft

- Status changed from In Progress to Closed

| don't see composite and svideo as core outputs, much worse quality even when perfectly done. I'm pretty happy with the current state, sometimes
the TV controls need adjusting a little but that isn't a big problem.
